KDE 4.9 PyKDE API Reference

- KDE's Python API

# KDataTool Class Reference

`from PyKDE4.kio import *`

Inherits: QObject

## Detailed Description

A generic tool that processes data.

A data-tool is a "plugin" for an application, that acts (reads/modifies) on a portion of the data present in the document (e.g. a text document, a single word or paragraph, a KSpread cell, an image, etc.)

The application has some generic code for presenting the tools in a popupmenu

See also:
  KDataToolAction, and for activating a tool, passing it the data (and possibly getting modified data from it).

## Methods

| __init__ (self, QObject parent=0)
KComponentData | componentData (self)
bool | run (self, QString command, void data, QString datatype, QString mimetype)
| setComponentData (self, KComponentData componentData)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Constructor The data-tool is only created when a menu-item, that relates to it, is activated.

Parameters:

  | parent | the parent of the QObject (or 0 for parent-less KDataTools)

KComponentData componentData | ( |  | self ) |

Returns the instance of the part that created this tool. Usually used if the tool wants to read its configuration in the app's config file.

Returns:
  the instance of the part that created this tool.

bool run | ( | self, |
|  | QString | command,
|  | void | data,
|  | QString | datatype,
|  | QString | mimetype
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Interface for 'running' this tool. This is the method that the data-tool must implement.

Parameters:

  | command | is the command that was selected (see KDataToolInfo.commands())
  | data | the data provided by the application, on which to run the tool. The application is responsible for setting that data before running the tool, and for getting it back and updating itself with it, after the tool ran.
  | datatype | defines the type of data.
  | mimetype | defines the mimetype of the data (for instance datatype may be QString, but the mimetype can be text/plain, text/html etc.)

Returns:
  true if successful, false otherwise

setComponentData | ( | self, |
|  | KComponentData | componentData
| ) |  |  |

@internal. Do not use under any circumstance (including bad weather).